summaryrefslogtreecommitdiff
path: root/sandcastle/images/exchange/scripts/startup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sandcastle/images/exchange/scripts/startup.sh')
-rw-r--r--sandcastle/images/exchange/scripts/startup.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/sandcastle/images/exchange/scripts/startup.sh b/sandcastle/images/exchange/scripts/startup.sh
index 7454143..5d8c0f8 100644
--- a/sandcastle/images/exchange/scripts/startup.sh
+++ b/sandcastle/images/exchange/scripts/startup.sh
@@ -74,4 +74,10 @@ echo -n "Requesting exchange's /keys..."
curl --max-time 4 -s "${EXCHANGE_URL}keys"
echo DONE
+# Spawn a process that will fail after an hour,
+# to facilitate restarting every hour.
+( sleep 3600 && exit 1) &
+
+# Exit once a single process fails.
+# Then, docker-compose will restart the whole container.
wait -n